inherit:
- cmake-cpp
- ros-base

variables:
  natures:
  - '@{next-value|[]}'
  - ros-package

  cmake.options:default:
  - '@{next-value|[]}'
  - CATKIN_DEVEL_PREFIX=../devel
  - CMAKE_INSTALL_PREFIX="${ros.install.prefix}"

  make.test.targets:
  - tests
  - run_tests
  make.test.command: |
    set +x # disable verbose output
    test -f ../devel/setup.sh && . ../devel/setup.sh # non-catkin packages will not have this
    set -x
    ${next-value}

  junit.patterns:
  - ${build-dir}/test_results/*/*.xml
  - '@{next-value|[]}'

  cmake.prepare-command:default: |
    ${ros.source.underlay}

    ${next-value| }
